### Hierarchy

- AbstractUIMenuPanel
  - UIMenuColorPanel

## Index

### Constructors

- constructor

### Properties

- _bar
- _colors
- _index
- _lastColor
- _leftArrow
- _max
- _min
- _rightArrow
- _selectedRectangle
- _text
- _title
- _total
- background
- enabled
- id
- parentItem

### Accessors

- Color
- Colors
- Enabled
- Height
- Index
- ParentItem
- ParentMenu
- Title

### Methods

- _goLeft
- _goRight
- _processControls
- _refreshIndex
- _updateSelection
- _updateText
- draw
- setVerticalPosition
- updateParentItem

## Constructors

### constructor

- new UIMenuColorPanel(title: string, colors: Color[]): UIMenuColorPanel

- Overrides AbstractUIMenuPanel.constructor

  - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:27

  #### Parameters

  - ##### title: string

  - ##### colors: Color[]

  #### Returns UIMenuColorPanel

## Properties

### Private _bar

_bar: Rectangle[] = []

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:13

### Private _colors

_colors: Color[] = []

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:12

### Private _index

_index: number = 0

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:25

### Private _lastColor

_lastColor: Color = ...

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:15

### Private Readonly _leftArrow

_leftArrow: Sprite

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:17

### Private _max

_max: number = 8

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:23

### Private _min

_min: number = 0

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:22

### Private Readonly _rightArrow

_rightArrow: Sprite

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:18

### Private Readonly _selectedRectangle

_selectedRectangle: Rectangle

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:19

### Private _text

_text: Text

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:11

### Private _title

_title: string = ''

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:10

### Private _total

_total: number = 9

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:24

### Protected Readonly background

background: Sprite

Overrides AbstractUIMenuPanel.background

- Defined in ui/menu/items/panels/UIMenuColorPanel.ts:8

### Protected enabled

enabled: boolean = true

Inherited from AbstractUIMenuPanel.enabled

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:10

### Readonly id

id: string = ...

Inherited from AbstractUIMenuPanel.id

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:7

### Protected parentItem

parentItem: undefined | UIMenuItem

Inherited from AbstractUIMenuPanel.parentItem

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:9

## Accessors

### Color

- get Color(): Color
- set Color(value: Color): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:72

  #### Returns Color

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:76

  #### Parameters

  - ##### value: Color

  #### Returns void

### Colors

- get Colors(): Color[]
- set Colors(value: Color[]): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:54

  #### Returns Color[]

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:58

  #### Parameters

  - ##### value: Color[]

  #### Returns void

### Enabled

- get Enabled(): boolean
- set Enabled(value: boolean): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:26

  #### Returns boolean

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:30

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Height

- get Height(): number

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:34

  #### Returns number

### Index

- get Index(): number
- set Index(value: number): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:85

  #### Returns number

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:89

  #### Parameters

  - ##### value: number

  #### Returns void

### ParentItem

- get ParentItem(): undefined | UIMenuItem
- set ParentItem(value: undefined | UIMenuItem): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:18

  #### Returns undefined | UIMenuItem

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:22

  #### Parameters

  - ##### value: undefined | UIMenuItem

  #### Returns void

### ParentMenu

- get ParentMenu(): undefined | Menu

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:14

  #### Returns undefined | Menu

### Title

- get Title(): string
- set Title(value: string): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:45

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:49

  #### Parameters

  - ##### value: string

  #### Returns void

## Methods

### Private _goLeft

- _goLeft(): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:186

  #### Returns void

### Private _goRight

- _goRight(): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:208

  #### Returns void

### Private _processControls

- _processControls(): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:229

  #### Returns void

### Private _refreshIndex

- _refreshIndex(): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:161

  #### Returns void

### Private _updateSelection

- _updateSelection(preventUpdate?: boolean): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:172

  #### Parameters

  - ##### preventUpdate: boolean = false

  #### Returns void

### Private _updateText

- _updateText(): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:182

  #### Returns void

### draw

- draw(): void

- Overrides AbstractUIMenuPanel.draw

  - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:134

  #### Returns void

### setVerticalPosition

- setVerticalPosition(y: number): void

- Overrides AbstractUIMenuPanel.setVerticalPosition

  - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:123

  #### Parameters

  - ##### y: number

  #### Returns void

### updateParentItem

- updateParentItem(): void

- - Defined in ui/menu/items/panels/UIMenuColorPanel.ts:106

  #### Returns void

Generated using TypeDoc